Skip Menu |
 

This queue is for tickets about the GD-Barcode CPAN distribution.

Report information
The Basics
Id: 119284
Status: new
Priority: 0/
Queue: GD-Barcode

People
Owner: Nobody in particular
Requestors: LUX [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: 1.15
Fixed in: (no value)



Subject: Warnings in GD::Barcode::QRcode with version > 1
Download (untitled) / with headers
text/plain 1.1k
Hallo I am using GD::Barcode::QRcode 1.15 to encode urls. Whenever I use a version > 1 in strict mode, i.e. everytime for me, three warnings about uninitialized variables are issued. For ex: my $url = "http://www.google.com/"; my $qr = GD::Barcode::QRcode->new($url, { Ecc => 'L', ModuleSize => 4 })->plot->png; logs: Use of uninitialized value within @aMask in bitwise xor (^) at /usr/share/perl5/vendor_perl/GD/Barcode/QRcode.pm line 213. Use of uninitialized value within @aMatrixX in array element at /usr/share/perl5/vendor_perl/GD/Barcode/QRcode.pm line 213. Use of uninitialized value within @aMatrixY in array element at /usr/share/perl5/vendor_perl/GD/Barcode/QRcode.pm line 213. For reference, line 213 for me is $aCont[$aMatrixX[$iRemainBitTmp]][$aMatrixY[$iRemainBitTmp]] = (255 ^ $aMask[$iRemainBitTmp] ); Just to know I applied the patch to enable version auto-select: -$oSelf->{Version} = $rhPrm->{Version} || 1; +$oSelf->{Version} = $rhPrm->{Version} || 0; But I tried with fixed versions in new() parameters, with no luck. I tried the new QRcode.pm module from the 1.99 develpment version, but nothing changed too. Thanks , regards Luigi Luigi


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.